Subject: bug#3442: 23.0.94; "C-x 5 1" (delete-other-frames) kills daemon

From: Stefan Monnier <[email-masked]>
Date: Wed, 03 Jun 2009 15:43:18 -0400

> When Emacs daemon is running and a client frame is active, executing
> delete-other-frames command (C-x 5 1) kills the daemon and makes the
> Emacs session just a normal server session which requires that one frame
> exists. To reproduce:

Indeed, C-x 5 1 should only delete the frames on the current terminal,
whereas it currently kills *all* the frames on all terminals (including
the special internal terminal used for the daemon).

        Stefan